SQ-PACKET-DECRYPT(1)

NAME
sq-packet-decrypt - Unwraps an encryption container

Decrypts a message, dumping the content of the encryption container without further processing. The result is a valid OpenPGP message that can, among other things, be inspected using "sq packet dump".

SYNOPSIS
sq packet decrypt [FLAGS] [OPTIONS] [--] [FILE]

FLAGS

-h, --help
    Prints help information

-B, --binary
    Emits binary data

--dump-session-key
    Prints the session key to stderr

OPTIONS

-o, --output FILE
    Writes to FILE or stdout if omitted

--recipient-key KEY
    Decrypts the message with KEY

ARGS

FILE
    Reads from FILE or stdin if omitted

EXAMPLES

# Unwraps the encryption revealing the signed message
    $ sq packet decrypt --recipient-key juliet.pgp ciphertext.pgp

SEE ALSO
For the full documentation see <https://docs.sequoia-pgp.org/sq/>.

sq(1), sq-armor(1), sq-autocrypt(1), sq-certify(1), sq-dearmor(1), sq-decrypt(1), sq-encrypt(1), sq-inspect(1), sq-key(1), sq-keyring(1), sq-packet(1), sq-packet-decrypt(1), sq-packet-dump(1), sq-packet-join(1), sq-packet-split(1), sq-sign(1), sq-verify(1)

AUTHORS

    Azul <azul@sequoia-pgp.org>
    Igor Matuszewski <igor@sequoia-pgp.org>
    Justus Winter <justus@sequoia-pgp.org>
    Kai Michaelis <kai@sequoia-pgp.org>
    Neal H. Walfield <neal@sequoia-pgp.org>
    Nora Widdecke <nora@sequoia-pgp.org>
    Wiktor Kwapisiewicz <wiktor@sequoia-pgp.org>